%define upstream_name    Benchmark-Perl-Formance
%define upstream_version 0.53

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Benchmark Suite for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Benchmark/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Perl::V)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Structure::Util)
BuildRequires: perl(Data::YAML::Reader)
BuildRequires: perl(Data::YAML::Writer)
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::MatrixReal)
BuildRequires: perl(Math::Primality)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Sys::Info)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This benchmark suite tries to run some stressful programs and outputs values
that you can compare against other runs of this suite, e.g. with other versions
of Perl, modified compile parameter, or another set of dependent libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/benchmark-perlformance
%{_bindir}/benchmark-perlformance-set-stable-system
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.530.0-3pclos2017
- rebuild against updates

